---
id: thegeeks
name: The Geeks
description: "The Geeks is a Private Torrent Tracker for Technology E-LEARNING"
language: en-US
type: private
encoding: UTF-8
links:
  - https://thegeeks.click/

caps:
  categorymappings:
    - {id: 212, cat: Other, desc: "AudioBook : Fiction"}
    - {id: 213, cat: Other, desc: "AudioBook : Non-Fiction"}
    - {id: 71, cat: Other, desc: "Docu : Antiques / Collecting"}
    - {id: 82, cat: Other, desc: "Docu : Architecture/Building"}
    - {id: 72, cat: Other, desc: "Docu : Astronomy / Space"}
    - {id: 85, cat: Other, desc: "Docu : Childrens Ed"}
    - {id: 38, cat: Other, desc: "Docu : Crime/ Investigation"}
    - {id: 59, cat: Other, desc: "Docu : Earth / Environment"}
    - {id: 18, cat: Other, desc: "Docu : Engineering"}
    - {id: 4, cat: Other, desc: "Docu : Fine/Visual Arts"}
    - {id: 39, cat: Other, desc: "Docu : FlyOnWall Docus"}
    - {id: 216, cat: Other, desc: "Docu : FlyOnWall Medical"}
    - {id: 84, cat: Other, desc: "Docu : FrontLine"}
    - {id: 36, cat: Other, desc: "Docu : Gardening/Agriculture"}
    - {id: 58, cat: Other, desc: "Docu : History - Biographies"}
    - {id: 55, cat: Other, desc: "Docu : History - Civilization"}
    - {id: 31, cat: Other, desc: "Docu : History - Misc"}
    - {id: 56, cat: Other, desc: "Docu : History - War/Politics"}
    - {id: 35, cat: Other, desc: "Docu : Home / Property"}
    - {id: 78, cat: Other, desc: "Docu : Horizon"}
    - {id: 69, cat: Other, desc: "Docu : Misc"}
    - {id: 75, cat: Other, desc: "Docu : Nature"}
    - {id: 54, cat: Other, desc: "Docu : News/World Reports"}
    - {id: 83, cat: Other, desc: "Docu : Nova"}
    - {id: 27, cat: Other, desc: "Docu : Paleontology"}
    - {id: 67, cat: Other, desc: "Docu : Pets/Animal Keeping"}
    - {id: 53, cat: Other, desc: "Docu : Social Experiment"}
    - {id: 32, cat: Other, desc: "Docu : Travel / Culture"}
    - {id: 80, cat: Other, desc: "Docu : Travelogues"}
    - {id: 34, cat: Other, desc: "Docu : Vehicles/Transport"}
    - {id: 207, cat: Other, desc: "Business : Economics"}
    - {id: 211, cat: Other, desc: "Business : Investing"}
    - {id: 208, cat: Other, desc: "Business : Marketing"}
    - {id: 209, cat: Other, desc: "Business : Startup/Dev"}
    - {id: 28, cat: Other, desc: "Business :Misc"}
    - {id: 214, cat: Other, desc: "Comp: Artificial Intelligence"}
    - {id: 40, cat: Other, desc: "Comp: Certification Courses"}
    - {id: 44, cat: Other, desc: "Comp: Digital Audio/Video"}
    - {id: 48, cat: Other, desc: "Comp: Games Dev/Guides"}
    - {id: 3, cat: Other, desc: "Comp: Graphics "}
    - {id: 42, cat: Other, desc: "Comp: Lang/DBs"}
    - {id: 49, cat: Other, desc: "Comp: Network/Hardware"}
    - {id: 43, cat: Other, desc: "Comp: Operating Systems"}
    - {id: 46, cat: Other, desc: "Comp: Security/Encryption"}
    - {id: 52, cat: Other, desc: "Comp: Software Training"}
    - {id: 41, cat: Other, desc: "Comp: Theory/Ref/Mags"}
    - {id: 47, cat: Other, desc: "Comp: Web Development"}
    - {id: 68, cat: Other, desc: "Crafts/Jewelry"}
    - {id: 21, cat: Other, desc: "DIY / Workshop"}
    - {id: 25, cat: Other, desc: "Exam Prep / Education"}
    - {id: 9, cat: Other, desc: "Food/Cooking/Nutrition"}
    - {id: 37, cat: Other, desc: "Game Shows / Quiz Shows"}
    - {id: 2, cat: Other, desc: "Games: Cards/Tabletop/etc"}
    - {id: 23, cat: Other, desc: "Hobbies: Misc"}
    - {id: 1, cat: Other, desc: "Languages / Linguistics"}
    - {id: 20, cat: Other, desc: "Law & Justice"}
    - {id: 30, cat: Other, desc: "Literature"}
    - {id: 16, cat: Other, desc: "Magic & Illusion"}
    - {id: 206, cat: Other, desc: "Native American Studies"}
    - {id: 201, cat: Other, desc: "Occultism: Academic / Referenc"}
    - {id: 210, cat: Other, desc: "Occultism: Bashar"}
    - {id: 202, cat: Other, desc: "Occultism: Mythology Folklore"}
    - {id: 203, cat: Other, desc: "Paranormal"}
    - {id: 204, cat: Other, desc: "Parapsychology"}
    - {id: 11, cat: Other, desc: "Political Studies"}
    - {id: 61, cat: Other, desc: "Science: Biology"}
    - {id: 77, cat: Other, desc: "Science: Chemistry"}
    - {id: 12, cat: Other, desc: "Science: Math/Statistics"}
    - {id: 10, cat: Other, desc: "Science: Medicine/Health "}
    - {id: 29, cat: Other, desc: "Science: Philosophy"}
    - {id: 76, cat: Other, desc: "Science: Physics"}
    - {id: 14, cat: Other, desc: "Science: Psych/Sociolgy"}
    - {id: 215, cat: Other, desc: "Sexuality/Seductn/Body Img"}
    - {id: 22, cat: Other, desc: "Sports/Exercise/Outdoors"}
    - {id: 24, cat: Other, desc: "Stock Media"}
    - {id: 33, cat: Other, desc: "Style & Fashion"}
    - {id: 73, cat: Other, desc: "Docu : Survivalism"}
    - {id: 60, cat: Other, desc: "Docu : The Arts: Acting/ Filmmaking"}
    - {id: 217, cat: Other, desc: "Docu : The Arts: Dance/Singing/Voice"}
    - {id: 26, cat: Other, desc: "Docu : The Arts: Music History/Theory"}
    - {id: 15, cat: Other, desc: "Docu : The Arts: Music Learn/Courses"}
    - {id: 45, cat: Other, desc: "Docu : The Arts: Photography"}

  modes:
    search: [q]

settings:
  - name: cookie
    type: text
    label: Cookie
  - name: info_cookie
    type: info_cookie
  - name: sort
    type: select
    label: Sort requested from site
    default: added
    options:
      added: created
      seeders: seeders
      size: size
      name: title
  - name: type
    type: select
    label: Order requested from site
    default: DESC
    options:
      DESC: desc
      ASC: asc
  - name: info_tpp
    type: info
    label: Results Per Page
    default: For best results, change the <b>Torrents per page:</b> setting to <b>100</b> on your account profile.
  - name: info_tcg
    type: info
    label: Message from TCG staff
    default: We wish to encourage all members to participate in the communities we are creating. We have worked with the Jackett maintainers to ensure that the security and longevity of our trackers continues, and as such some torrents are removed from the results in Jackett.
  - name: info_activity
    type: info
    label: Account Inactivity
    default: "Unparked accounts that haven't visited (read: browsed) the site for 38 days (and are over 28 days old) are pruned. Parked accounts are pruned when 112 days have elapsed since the last recorded activity (read: browsed). Seeding activity does NOT count, you must BROWSE the site. Donators with a star (and ONLY donators with a star) are immune to auto-pruning. Power Users and above are also immune. We regularly clean out accounts with very low share ratios that are subject to the Ratio Watch system."

login:
  # using cookie method because login page has embedded hCaptcha
  method: cookie
  inputs:
    cookie: "{{ .Config.cookie }}"
  test:
    path: main.php
    selector: a[href^="logout.php?id="]

search:
  paths:
    - path: browse.php
  inputs:
    $raw: "{{ range .Categories }}filter_cat[{{.}}]=1&{{end}}"
    search: "{{ .Keywords }}"
    # 0 active, 1 incldead, 2 onlydead, 3 free (not used by request), 4 exclusive, 5 neutral
    incldead: 1
    titleonly: 1
    # 0 Exact, 1 Fuzzy, 3 Parsed, 4 Simple # 2 Pure is not used
    nonboolean: 0
    sort: "{{ .Config.sort }}"
    d: "{{ .Config.type }}"

  rows:
    selector: table[border="0"] > tbody > tr.ttable:has(a[href^="browse.php?cat="]):not(:has(font[color="blue"])):not(:contains("*TCG*"))

  fields:
    category:
      selector: a[href^="browse.php?cat="]
      attribute: href
      filters:
        - name: querystring
          args: cat
    title:
      selector: a[href^="details.php?id="]
      attribute: title
    details:
      selector: a[href^="details.php?id="]
      attribute: href
    download:
      selector: a[href^="download.php/"]
      attribute: href
    files:
      selector: td:nth-child(4)
    date:
      selector: td:nth-child(6)
      # auto adjusted by site account profile
      filters:
        - name: dateparse
          args: "yyyy-MM-ddHH:mm:ss"
    size:
      selector: td:nth-child(7)
    grabs:
      selector: td:nth-child(8)
      filters:
        - name: replace
          args: ["Never", "0"]
    seeders:
      selector: td:nth-child(9)
    leechers:
      selector: td:nth-child(10)
    downloadvolumefactor:
      case:
        "font[color=\"green\"]": 0
        "*": 1
    uploadvolumefactor:
      case:
        "font[color=\"green\"]": 0
        "*": 1
    minimumratio:
      text: 1.0
    minimumseedtime:
      # 1 day (as seconds = 24 x 60 x 60)
      text: 86400
# XBTT TCG 0.98
